# -*- coding: utf-8 -*-
#Kopier filen til C:\Python27\Lib
#starter filen med å skrive from Setninger import*
import time
start_time = time.time()
import nltk.data
import string
import os
from nltk.tokenize import word_tokenize

tokenizer = nltk.data.load('tokenizers/punkt/norwegian.pickle')

#Variabler for hvor data befinner seg. Skal lage ordliste for 4 datasett.
#data_sti = 'E:\Master_data\\Preprosessering\\0-Raadata\\Kun_Del6\\CareCVC'
#data_sti = 'E:\Master_data\\Preprosessering\\0-Raadata\\Kun_Del6\\UtenCareCVC'
#data_sti = 'E:\Master_data\\Preprosessering\\0-Raadata\\Alt_innhold\\UtenCareCVC'
#data_sti = 'E:\Master_data\\Preprosessering\\0-Raadata\\Alt_innhold\\CareCVC'

#Variabler for frekvensordlister etter forkortelser
#data_sti = 'E:\Master_data\\Preprosessering\\2-Forkortelser\\Dokumenter\\Kun_Del6\\CareCVC'
#data_sti = 'E:\Master_data\\Preprosessering\\2-Forkortelser\\Dokumenter\\Kun_Del6\\UtenCareCVC'
#data_sti = 'E:\Master_data\\Preprosessering\\2-Forkortelser\\Dokumenter\\Alt_innhold\\CareCVC'
#data_sti = 'E:\Master_data\\Preprosessering\\2-Forkortelser\\Dokumenter\\Alt_innhold\\UtenCareCVC'

#Variabler for frekvensordlister etter stemming
#data_sti = 'E:\Master_data\\Preprosessering\\3-Stemming\Dokumenter\\stemming\\Kun_Del6\\CareCVC'
#data_sti = 'E:\Master_data\\Preprosessering\\3-Stemming\\Dokumenter\\stemming\\Kun_Del6\\UtenCareCVC'
#data_sti = 'E:\Master_data\\Preprosessering\\3-Stemming\\Dokumenter\\stemming\\Alt_innhold\\CareCVC'
data_sti = 'E:\Master_data\\Preprosessering\\3-Stemming\\Dokumenter\\stemming\\Alt_innhold\\UtenCareCVC'

FrekvensSti = 'E:\Master_data\\Preprosessering\\1-Frekvensordliste_raadata'

#henter filer i in katalog
def hent_filnavn(sti):
    liste = os.listdir(data_sti)
    return liste

filliste = hent_filnavn(data_sti)
AntFiler = len(filliste)
x = 0
AlleOrd = []

#Variabel for alle setninger som er lest inn
alle_setninger = ''

while x < AntFiler:
    fil = data_sti + "\\" + filliste[x]
    with open(fil) as fp:
        para = fp.read()
    setning = tokenizer.tokenize(para)
    words = para.split()
    AlleOrd = AlleOrd + words
    x+=1
l = [item.lower() for item in AlleOrd]
#m = [item.replace('"','') for item in l]
#n = [item.replace('(','') for item in m]

#print l
from nltk.probability import FreqDist
fd_sti = 'c:\data\AntOrdCorpa'

#Lager frekvensliste over ordene i alle_ord og skriver denne ut til fd filen
fd = FreqDist(l)

#Frekvensordlisten skrives ut til følgende plass
#output_file = FrekvensSti + "\\" + "Original_Del6_CareCVC.txt"
#output_file = FrekvensSti + "\\" + "Original_Del6_UtenCareCVC.txt"
#output_file = FrekvensSti + "\\" + "Original_Alt_UtenCareCVC.txt"
#output_file = FrekvensSti + "\\" + "Original_Alt_CareCVC.txt"

#Frekvensordlister etter forkortelser
#output_file = FrekvensSti + "\\" + "Forkortelser_Del6_CareCVC.txt"
#output_file = FrekvensSti + "\\" + "Forkortelser_Del6_UtenCareCVC.txt"
#output_file = FrekvensSti + "\\" + "Forkortelser_Alt_CareCVC.txt"
#output_file = FrekvensSti + "\\" + "Forkortelser_Alt_UtenCareCVC.txt"

#Frekvensordlister etter forkortelser
#output_file = FrekvensSti + "\\" + "Stemming_Del6_CareCVC.txt"
#output_file = FrekvensSti + "\\" + "Stemming_Del6_UtenCareCVC.txt"
#output_file = FrekvensSti + "\\" + "Stemming_Alt_CareCVC.txt"
output_file = FrekvensSti + "\\" + "Stemming_Alt_UtenCareCVC.txt"


output = open(output_file,'w')
for word in sorted(fd):
    pair = word + '    ->' + str(fd[word])
    output.write(pair+'\n')
output.close()

print time.time() - start_time, "Sekunder"	

#########################################################
# 1151.125 Sekunder (uten å gjøre om til små ord        #
#########################################################