# -*- encoding:utf-8 -*-
from nltk.stem import SnowballStemmer
import nltk.data
from nltk.tokenize import word_tokenize
tokenizer = nltk.data.load('tokenizers/punkt/norwegian.pickle')
import re
import codecs
import time
import locale
import string
import os
import pickle

start_time = time.time()

#For data Del6_CareCVC
#InnData = 'E:\Master_data\\Preprosessering\\3-Stemming\\Dokumenter\\Smaaord\\Kun_Del6\\CareCVC'
#UtData = 'E:\Master_data\\Preprosessering\\3-Stemming\\Dokumenter\\stemming\\Kun_Del6\\CareCVC'

#For data Del6_UtenCareCVC
#InnData = 'E:\Master_data\\Preprosessering\\3-Stemming\\Dokumenter\\Smaaord\\Kun_Del6\\UtenCareCVC'
#UtData = 'E:\Master_data\\Preprosessering\\3-Stemming\\Dokumenter\\stemming\\Kun_Del6\\UtenCareCVC'

#For data Alt_CareCVC
#InnData = 'E:\Master_data\\Preprosessering\\3-Stemming\\Dokumenter\\Smaaord\\Alt_innhold\\CareCVC'
#UtData = 'E:\Master_data\\Preprosessering\\3-Stemming\\Dokumenter\\stemming\\Alt_innhold\\CareCVC'

#For data Alt_UtenCareCVC
InnData = 'E:\Master_data\\Preprosessering\\3-Stemming\\Dokumenter\\Smaaord\\Alt_innhold\\UtenCareCVC'
UtData = 'E:\Master_data\\Preprosessering\\3-Stemming\\Dokumenter\\stemming\\Alt_innhold\\UtenCareCVC'

def hent_filnavn(sti):
    liste = os.listdir(InnData)
    return liste
filliste = hent_filnavn(InnData)
AntFiler = len(filliste)
x = 0


norsk_stemmer = SnowballStemmer('norwegian')


while x < AntFiler:
    words3 = []
    fil = InnData + "/" + filliste[x]
    y=0
    #Henter data fra filene
    with open(fil) as fp:
        para = [line.rstrip('\n') for line in fp]
        setning = para
        setninger = len(setning)
        i = 0
        while i < setninger:
            sentence = setning[i]
            sentence2 = re.sub(u'[%s]' % re.escape(string.punctuation), ' ', sentence)
            words = word_tokenize(sentence)
            words2 = [w.lower() for w in words]
            z=len(words)
            q=0
            while q<z:
                test = words[q]
                test3 = unicode(test,'utf-8')
                test2 = norsk_stemmer.stem(test3)
                words3.append(test2)
                q+=1
            i+=1
        output_file = UtData + "/" + filliste[x]
        deltekst = ' '.join(words3)
        with open(output_file,'wb') as f:
            f.write(deltekst.encode('utf-8'))
    x+=1
print time.time() - start_time, "Sekunder"
