# -*- coding: utf-8 -*-
import nltk
import string
import os
import re
import codecs
import time
start_time = time.time()

#Sti til data med Del6_CareCVC
DataSti = 'E:\Master_data\\Preprosessering\\0-Raadata\\Kun_Del6\\CareCVC'
OrdSti = 'E:\Master_data\\Preprosessering\\2-Forkortelser\\Dokumenter\\Kun_Del6\\CareCVC'

#Sti til data med Del6_UtenCareCVC
#DataSti = 'E:\Master_data\\Preprosessering\\0-Raadata\\Kun_Del6\\UtenCareCVC'
#OrdSti = 'E:\Master_data\\Preprosessering\\2-Forkortelser\\Dokumenter\\Kun_Del6\\UtenCareCVC'

#Sti til data med Alt_CareCVC
#DataSti = 'E:\Master_data\\Preprosessering\\0-Raadata\\Alt_innhold\\CareCVC'
#OrdSti = 'E:\Master_data\\Preprosessering\\2-Forkortelser\\Dokumenter\\Alt_innhold\\CareCVC'

#Sti til data med Alt_UtenCareCVC
#DataSti = 'E:\Master_data\\Preprosessering\\0-Raadata\\Alt_innhold\\UtenCareCVC'
#OrdSti = 'E:\Master_data\\Preprosessering\\2-Forkortelser\\Dokumenter\\Alt_innhold\\UtenCareCVC'


pattern = r'''(?x)
    ([0-3][0-9][/.][0-1][0-9][/.][0-9][0-9]) #sjekker dato
   | ([0-2][0-9][/.][0-5][0-9]) #sjekk for tidspunkt
   | ([0-2][0-9][0-9][/][0-9][0-9]) #Blodtrykk
   | ([0-4][0-9][/.][0-9]) # sjekk for temeratur
   | ([0-9][/.][0-9]) # sjekk for dosering
   | ([A-Z][0-9][0-9][/.][0-9]) #Sjekk for diagnoser
   | ([A-Z]\.)+ #forkortelser, eksempel er U.S.A
   | \w+(-\w+)* # Ord med mulige apostrofer
   | \W+(-\W+)* # Ord med mulige apostrofer
   | [][.,;"'?():-_`]
    '''

def hent_filnavn(sti):
    liste = os.listdir(DataSti)
    return liste
	
filliste = hent_filnavn(DataSti)
AntFiler = len(filliste)
x = 0
AlleOrd = []
SmaaOrd = []
while x < AntFiler:
    fil = DataSti + "\\" + filliste[x]
    #with open(LoggSti,"w") as logg:
        #logg.write(filliste[x] + '\n')
    with codecs.open(fil, 'rb', 'UTF-8') as fp:
        setning = fp.readlines()		
    ut_fil = OrdSti + "\\" + filliste[x]
    AntSetninger = len(setning)
    with open(ut_fil,'w') as output_file:
        i=0
        while i < AntSetninger:
            ut = setning[i]# + '\n'  kommentert ut 09.02
            sentence = re.sub('CVK-|-CVK|C\.VK|cvk-|Cvk-|Cvk|Cvk|CvK|CVk-|CVk|CVKn|CVKen|CVK_|cvk|CVK`en| cvk:n | CVK:n|CVK-| CVK\'n | CVK`n| cvk:n|CVK\'|CVK!|CVK\,| CVK\'en|CVK; |CVK:| CVK?| CVK/| CVK\)',' CVK ',ut) #Fjerner ord hvor CVK-blodig blir CVK blodig
            sentence2 = re.sub('VAP-|VAPen|VAPn|VApen| Vap | vap | vap\. |vap-|vapn|VAP\'en| Vap\'en | VAP:|VAP;',' VAP ',sentence) #Skriver VAP på en uniform måte
            sentence3 = re.sub('PICC-|picc-|Picc-| picc |PICC_',' PICC ',sentence2) #Erstatter PICC-line med PICC line
            sentence4 = re.sub('piccline|PICCLINE|PICCline|Piccline|Pickline','PICC line ',sentence3) #Fjerner ord hvor CVK-blodig blir CVK blodig
            sentence5 = re.sub('Hickamann|hickmanns|Hickmann|hickmann|Hickmans|Hockamm|hickman|Hicmann|hicmann|Hickman|Hikmans|Hicman|Hikman|HIcmann',' Hickman ',sentence4) #Fjerner ord hvor CVK-blodig blir CVK blodig			
            sentence6 = re.sub(' \.kat ',' kateter ',sentence5) #Fjerner ord hvor CVK-blodig blir CVK blodig			
            sentence7 = re.sub('"|\(|\)|/|!|%|\+|\'',' ',sentence6)			
            sentence8 = re.sub(' v/CVK',' ved CVK',sentence7)	
            sentence9 = re.sub('CVKstell','CVK stell ',sentence8) #Fjerner ord hvor CVK-blodig blir CVK blodig			
            sentence10 = re.sub('-|:|;',' ',sentence9)			
            sentence11 = re.sub('Dr ','Doktor ',sentence10)			
            sentence12 = re.sub(' Dr\. | dr. ',' doktor ',sentence11)			
            sentence13 = re.sub(u' hø\. | hø\.| Hø\. ',u' høyre ',sentence12)			
            sentence14 = re.sub(' opr | opr\.| Opr | Opr\.| op | op\.',' operasjon ',sentence13)			
            sentence15 = re.sub('Opr |Op |Op\.','Operasjon ',sentence14)			
            sentence16 = re.sub('Pas |Pas\. |PAs |pas |Pas ','Pasient ',sentence15)			
            sentence17 = re.sub(' Pas\.| pas\.| pas ',' pasient ',sentence16)			
            sentence18 = re.sub(' PAS\.',' pasient.',sentence17)						
            sentence19 = re.sub('Sep\.|Sep ','Seponert ',sentence18)			
            sentence20 = re.sub(' sep\.| sep ',' seponert ',sentence19)						
            sentence21 = re.sub(' ua\.| u\.a\. ',' uten anmerkning ',sentence20)				
            sentence22 = re.sub('U\.a\.|u\.a\.|u\.a','Uten anmerkning. ',sentence21)							
            sentence23 = re.sub('U\.a\.|u\.a\.|u\.a','Uten anmerkning. ',sentence22)			
            sentence24 = re.sub('U\.t|u\.t ','Undertegnede ',sentence23)				
            sentence25 = re.sub(' u\.t\.| u\.t ',' undertegnede ',sentence24)							
            sentence26 = re.sub('PVK`ene|\?PVK|PVKer',' PVK ',sentence25)			
            sentence27 = re.sub(u'\.Smøring',u'. Smøring ',sentence26)				
            sentence28 = re.sub('\.Trenger','. Trenger ',sentence27)	
			
            sentence29 = re.sub(u'pasient\.Må',u'pasient. Må ',sentence28)			
            sentence30 = re.sub('\.\.','\. ',sentence29)			
            sentence31 = re.sub('dialysespl','dialyse sykepleier ',sentence30)						
            sentence32 = re.sub(' Spl\.| spl | spl\.',' sykepleier ',sentence31)									
            sentence33 = re.sub('i\.Har','i. Har ',sentence32)				
            sentence34 = re.sub('i\.Har','i. Har ',sentence33)							
            sentence35 = re.sub(u'\.ønsker',u'. Ønsker ',sentence34)			
            sentence36 = re.sub(' ve | ve\.',' venstre ',sentence35)			
            sentence37 = re.sub('skift\.da',' skift. Da ',sentence36)						
            sentence38 = re.sub(u'sårhulene\.Fukte',u' sårhulene. Fukte ',sentence37)									
            sentence39 = re.sub('rygg\.Har',' rygg. Har ',sentence38)												
            sentence40 = re.sub(u'kavilon\.såret',u' kavilon. Såret ',sentence39)															
            sentence41 = re.sub('fuktighet\.Det',' fuktighet. Det ',sentence40)																		
            sentence42 = re.sub('dragen\.Sivar',' dragen. Sivar ',sentence41)
            sentence43 = re.sub('baken\.Penslet',' baken. Penslet ',sentence42)			
            sentence44 = re.sub('albue\.Penslet',' albue. Penslet ',sentence43)						
            sentence45 = re.sub(u'pasient\.Må',u' pasient. Må ',sentence44)			
            sentence46 = re.sub('\*\w',' \w',sentence45)			
            sentence47 = re.sub('\.\w','. \w',sentence46)					
            sentence48 = re.sub('\.','',sentence47)			
            sentence49 = re.sub('\?','',sentence48)				
            sentence50 = re.sub('\\\\','',sentence49)							
            words = nltk.regexp_tokenize(sentence50,pattern)
            sentence1000 = ''.join(words)
            ut2 = sentence1000 #+ "\n"
            output_file.write(ut2.encode("UTF-8"))
            i+=1
    x += 1	
print time.time() - start_time, "Sekunder"	

###############################################
# 318.75 Sekunder
###############################################